import os

def get_abs_path(fname):
    curr_dir = os.path.dirname(os.path.realpath(__file__))
    rel_path = os.path.relpath(fname, start=curr_dir)
    abs_path = os.path.join(rel_path, curr_dir, os.path.basename(fname))
    abs_path = os.path.normpath(abs_path)

    return abs_path


def get_rel_path(fname):
    curr_dir = os.path.dirname(os.path.realpath(__file__))
    rel_path = os.path.relpath(fname, start=curr_dir)
    abs_path = os.path.join(rel_path, curr_dir, fname)
    abs_path = os.path.normpath(abs_path)

    return abs_path

