import logging


class Logger:
    def __init__(self, file_=None):
        if file_:
            self.file_ = file_
            logging.basicConfig(filename=file_)

    def log(self, message, level="critical"):
        if self.file_:
            if level == "critical":
                logging.critical(message)
            elif level == "debug":
                logging.debug(message)
            elif level == "info":
                logging.info(message)
        else:
            print(level.upper() + ":\n" + message)
